function jump = watch_image(numero_image,annotations_filename,resolution,ir,pause_each_image)
% Show one image
% resolution is 1024 or 512
% ir is true to see the IR set, false to see the Color Set
% pause_each_image set to true allow to stop at each image
% set to false, images will be showned every second
%
% written by S. Razakarivony
% srazakarivony@gmail.com
% for Sagem DS and GREYC

	if ir==1
		im_name = sprintf('../Vehicules%d/%08d_ir.png',resolution,numero_image);
	else
		im_name = sprintf('../Vehicules%d/%08d_co.png',resolution,numero_image);
	end

	Annotations = load(annotations_filename);
	this_im_annotation = Annotations((Annotations(:,1)==numero_image),:);
	fprintf('You are watching image %d\n',numero_image)
	I = imread(im_name);
	hold off
	imagesc(I);
	hold on
	axis equal
	axis off


	for indice_vehicule = 1:size(this_im_annotation,1)
		Xvehicle = this_im_annotation(indice_vehicule,2);
		Yvehicle = this_im_annotation(indice_vehicule,3);
		orientationVehicle = this_im_annotation(indice_vehicule,4);
		plot(Xvehicle,Yvehicle,'+g')
		veh_type = this_im_annotation(indice_vehicule,13);
		X = this_im_annotation(indice_vehicule,5:8);
		Y = this_im_annotation(indice_vehicule,9:12);
		l(1) = sqrt((X(1)-X(2))^2+(Y(1)-Y(2))^2);
		l(2) = sqrt((X(2)-X(3))^2+(Y(2)-Y(3))^2);
		l(3) = sqrt((X(3)-X(4))^2+(Y(3)-Y(4))^2);
		l(4) = sqrt((X(4)-X(1))^2+(Y(4)-Y(1))^2);
		[ltri,ktri] = sort(l,'descend');
		longueurCar = mean([ltri(1) ltri(2)]);
		largeurCar = mean([ltri(3) ltri(4)]);
		vecteurLongueur1 = [X(1+mod(ktri(1),4))-X(1+mod(ktri(1)-1,4)) Y(1+mod(ktri(1),4))-Y(1+mod(ktri(1)-1,4))];
		vecteurLongueur2 = [X(1+mod(ktri(2),4))-X(1+mod(ktri(2)-1,4)) Y(1+mod(ktri(2),4))-Y(1+mod(ktri(2)-1,4))];
		if(vecteurLongueur1.*vecteurLongueur2 > 0)
			vecteurLongueur = (vecteurLongueur1+vecteurLongueur2)/2;
		else
			vecteurLongueur = (vecteurLongueur1-vecteurLongueur2)/2;
		end
		if(vecteurLongueur(1)==0)
			orientationVehicle = -pi/2;
		else
			orientationVehicle = atan(vecteurLongueur(2)/vecteurLongueur(1));
		end
		pt1 = [Yvehicle+largeurCar/2*cos(-orientationVehicle)+longueurCar/2*sin(-orientationVehicle)      Xvehicle+largeurCar/2*sin(-orientationVehicle)-longueurCar/2*cos(-orientationVehicle)];
		pt2 = [Yvehicle+largeurCar/2*cos(-orientationVehicle)-longueurCar/2*sin(-orientationVehicle)      Xvehicle+largeurCar/2*sin(-orientationVehicle)+longueurCar/2*cos(-orientationVehicle)];
		pt3 = [Yvehicle-largeurCar/2*cos(-orientationVehicle)-longueurCar/2*sin(-orientationVehicle)      Xvehicle-largeurCar/2*sin(-orientationVehicle)+longueurCar/2*cos(-orientationVehicle)];
		pt4 = [Yvehicle-largeurCar/2*cos(-orientationVehicle)+longueurCar/2*sin(-orientationVehicle)      Xvehicle-largeurCar/2*sin(-orientationVehicle)-longueurCar/2*cos(-orientationVehicle)];
		plot([pt1(2) pt2(2)],[pt1(1) pt2(1)],'g-','LineWidth',2)
		plot([pt2(2) pt3(2)],[pt2(1) pt3(1)],'g-','LineWidth',2)
		plot([pt3(2) pt4(2)],[pt3(1) pt4(1)],'g-','LineWidth',2)
		plot([pt4(2) pt1(2)],[pt4(1) pt1(1)],'g-','LineWidth',2)
		if veh_type == 1
			h = text(Xvehicle+15,Yvehicle-15,'Car');
			set(h,'BackgroundColor','k')
			set(h,'Color','w')
		end
		if veh_type == 2
			h = text(Xvehicle+15,Yvehicle-15,'Truck');
			set(h,'BackgroundColor','k')
			set(h,'Color','w')
		end
		if veh_type == 23
			h = text(Xvehicle+15,Yvehicle-15,'Ship');
			set(h,'BackgroundColor','k')
			set(h,'Color','w')
		end
		if veh_type == 4
			h = text(Xvehicle+15,Yvehicle-15,'Tractor');
			set(h,'BackgroundColor','k')
			set(h,'Color','w')
		end
		if veh_type == 5
			h = text(Xvehicle+15,Yvehicle-15,'Camping Car');
			set(h,'BackgroundColor','k')
			set(h,'Color','w')
		end
		if veh_type == 9
			h = text(Xvehicle+15,Yvehicle-15,'van');
			set(h,'BackgroundColor','k');
			set(h,'Color','w');
		end
		if veh_type == 10
			h = text(Xvehicle+15,Yvehicle-15,'vehicle');
			set(h,'BackgroundColor','k');
			set(h,'Color','w');
		end
		if veh_type == 11
			h = text(Xvehicle+15,Yvehicle-15,'pick-up');
			set(h,'BackgroundColor','k');
			set(h,'Color','w');
		end
		if veh_type == 31
			h = text(Xvehicle+15,Yvehicle-15,'plane');
			set(h,'BackgroundColor','k');
			set(h,'Color','w');
		end

	end
	if (pause_each_image)
		pause;
	else
		pause(1);
	end
	jump = size(this_im_annotation,1);
end
